/* Layout------------ */
* { margin:0; padding:0; }

html { font-size:100%; }

body { width:100%; margin:0; padding:0; font:13px 'Noto Serif TC', 'Noto Sans TC', 'Microsoft JhengHei', sans-serif; letter-spacing:0.02em; color:#000; }

#body-simple { background:#F1F3F5; padding:5px; }

img { border:none; }

.gen { margin:1px 1px; font-size:1em; }

.genmed { margin:1px 1px; font-size:0.9em; }

.gensmall { margin:1px 1px; font-size:0.85em; }

.titles { font-family:"Microsoft JhengHei", "Lucida Grande", Helvetica, Arial, sans-serif; font-weight:bold; font-size:21px; text-decoration:none; }

.online { color:green; }

.offline, .error, table td .error, .inactive { color:#DC1005; font-size:16px; font-weight:bold; line-height:180%; letter-spacing:1px; }

.spacer { color:#fff; background:#85dafe; border:solid 1px #85dafe; padding:1px; }

.current { background-color:lightblue; }

#pagecontent hr  { height:0px; border:solid #91d2f2 0px; border-top-width:1px; margin:5px 0; }

.hr {}

.pagination { padding:4px; font-size:1em; font-weight:bold; }


.rtl a { direction:rtl; unicode-bidi:embed; }

a.forumlink { font-weight:bold; font-family:"Lucida Grande", Helvetica, Arial, sans-serif; font-size:16px; }

a.topictitle { margin:1px 0px; font-size:1.1em; }

a.topictitle:link, a.topictitle:visited, a.topictitle:active, .postbody a, .postbody a:visited { color:#0c63cd; font-weight:bold; font-family:'微軟正黑體', "Lucida Grande", Helvetica, Arial, sans-serif; }

a.topictitle:visited:hover, .postbody a:visited:hover, a.topictitle:hover, .postbody a:hover { color:#EA0000; font-weight:bold; font-family:'微軟正黑體', "Lucida Grande", Helvetica, Arial, sans-serif; }

#logo-registered { float:right; padding:15px 10px 5px; color:#666; font-size:13px; text-align:right; }

#logo-login { float:right; padding:15px 10px 5px; color:#666; font-size:13px; text-align:right; }
#logo-login input.post { margin-bottom:3px; }

#logo-clear { clear:both; }

* html #logo-login, * html #logo-registered { }

* html #logo-clear { font-size:1px; line-height:1px; height:0; overflow:hidden; position:relative; }

.pm-notify-new, .pm-notify-unread { border-left:solid 1px #9EABB9; border-right:solid 1px #909FAF; border-top:solid 1px #9EABB9; border-bottom:solid 1px #909FAF; background:#eff2f4 url(images/cell.gif) top left repeat-x; margin:10px 0; padding:10px; text-align:center; font-size:13px; font-weight:bold; }
.pm-notify-new a, .pm-notify-new a:visited, .pm-notify-unread a, .pm-notify-unread a:visited { text-decoration:underline; }
.pm-notify-header { margin-bottom:10px; color:#2fa0fd; }
.pm-notify-new { padding:30px; }


.navrow { background:#E7E9E9; height:32px; overflow:hidden; color:#AAADAE; text-align:center; font-size:16px; padding-top:10px; border-radius:5px; }

.navrow b, .navrow strong { font-weight:normal; }
.navrow a, .navrow a:link, .navrow a:visited { color:#777777; text-decoration:none; padding-left:5px; padding-right:5px; }
.navrow a:hover { color:#222222; text-decoration:none; }

a.link-new, a.link-new:visited { color:#2fa0fd; }
a.link-new:hover, a.link-new:visited:hover { color:#2fa0fd; }


#content { padding:10px 0 20px 0; color:#000; }
#maintable { margin:0 auto; }
#contentrow { padding:30px; }

table { border-collapse:collapse; }
.tablebg { padding:3px; border:solid 1px #91d2f2; background:#eff2f4; border-collapse:collapse; }
.block-start .tablebg { border-top-width:0; border-bottom-width:0; border-color:#91d2f2; padding-bottom:1px; border-collapse:collapse; }


.row1, .row2, .row3, .legend, .forumrules, tr.row1 .row, tr.row2 .row, tr.row3 .row, .postbottom { padding:10px; }

.topic-block.row1, .topic-block.row2 { border-radius:15px; }

.tablebg-1 .row1, .tablebg-1 .row2, .tablebg-1 .row3 { padding:5px; border:solid 1px #91d2f2; border-bottom:0; }

.row1, .row3, .legend, .forumrules, tr.row1 .row, tr.row3 .row, .postbottom, .tablebg-1 .row1, .tablebg-1 .row3 { background:#f0fbff; }

.row2, tr.row2 .row, .tablebg-1 .row2 { background:#fffcf0; }

tr.row1 .row_left, tr.row2 .row_left, tr.row3 .row_left { background-color:#E7F5FE; border:solid 1px #91d2f2; border-bottom:0; padding-left:10px; line-height:180% }

tr.row1 .row_right, tr.row2 .row_right, tr.row3 .row_right { background-color:#fff; border:solid 1px #91d2f2; border-bottom:0; padding:5px; }

th { color:#000; font-size:1em;; background:#a9e4fe; white-space:nowrap; padding:0 5px; text-align:center; height:32px; border:solid 1px #91d2f2; border-bottom:0; }
th a, th a:visited { color:#DDE3E8 !important; text-decoration:underline; }
th a:hover { color:#f5f5f5; text-decoration:underline; }

td { padding:2px; }
td.profile { padding:4px; }
.catdiv, .cat, .cathead { height:35px; padding:0 3px; border:solid 1px #91d2f2; background:#baeafe; }

.cat, .cathead { text-indent:4px; }


caption, .cap-div { margin:0; padding:0; background:url(images/hdr_mid.gif) top left repeat-x; white-space:nowrap; height:27px; text-align:left; }
.cap-left { background:url(images/hdr_left.gif) top left no-repeat; }
.cap-right { background:url(images/hdr_right.gif) top right no-repeat; padding-top:6px; padding-left:29px; height:21px; }
caption, caption h1, caption h2, caption h3, caption h4, caption span,
.cap-div, .cap-div h1, .cap-div h2, .cap-div h3, .cap-div h4, .cap-div span { font-size:16px; font-weight:bold; color:#586E85; }
caption h1, caption h2, caption h3, caption h4, caption span,
.cap-div h1, .cap-div h2, .cap-div h3, .cap-div h4, .cap-div span { display:inline; }
caption a, caption a:visited, .cap-div a, .cap-div a:visited { color:#586E85; text-decoration:underline; }
caption a:hover, .cap-div a:hover { color:#2fa0fd; text-decoration:underline; }

.block-start { background:url(images/ftr_mid.gif) bottom left repeat-x; }
.block-end-left { background:url(images/ftr_left.gif) top left no-repeat; }
.block-end-right { background:url(images/ftr_right.gif) top right no-repeat; }
.block-end-left, .block-end-right { height:4px; overflow:hidden; padding:0; }

/* Footer */
#wrapfooter { text-align:center; color:#A0ACB9; padding-top:10px; }

.copyright { color:#A0ACB9; font-weight:normal; font-size:13px; line-height:1.2em; }
.copyright a, .copyright a:visited { color:#A0ACB9; text-decoration:underline; }
.copyright a:hover { color:#fff; }


/* Breadcrumbs */
.breadcrumb .row1 { border-width:0px; background:#FFFFFF; }
p.breadcrumbs { margin:0; padding:0; float:left; color:#A3ADB7; font-weight:bold; white-space:normal; font-size:16px; }
.rtl p.breadcrumbs { float:right; }

p.datetime { margin:0; padding:0; float:right; white-space:nowrap; font-size:1em; }

.rtl p.datetime { float:left; }

/* Index/viewforum */
.subforum.read { background:url(images/sub_old.gif) top left no-repeat; padding-left:12px; }
.subforum.unread { background:url(images/sub_new.gif) top left no-repeat; padding-left:12px; }
.legend { text-align:center; margin:0 auto; padding:2px; border-top-color:#C3CBD3; border-left-color:#C3CBD3; }
.legend-viewforum { margin:0; text-align:left; border-top-color:#C3CBD3; border-left-color:#C3CBD3; }

.forumrules { padding:15px; font:normal 16px/1.5 'Noto Serif TC', 'Noto Sans TC', 'Microsoft JhengHei', 'Segoe UI', 'Helvetica Neue', Arial, sans-serif;
background:#bdedff; border:solid 1px #b3eaff; border-radius:15px;


 }
.forumrules h2 { font-weight:bold; font-size:19px; color:#900; }

/* Post */
.postsubject { font-size:16px; font-weight:bold; color:#586E85; }
td.postbottom { background:#F2F4F5 url(images/profile.gif) top left repeat-x; font-size:13px; color:#96989B; white-space:nowrap; padding:2px 4px; vertical-align:middle; border-left:solid 1px #F6F8F9; border-right:solid 1px #91d2f2; border-top:solid 1px #F6F8F9; border-bottom:solid 1px #91d2f2; }
td.postbuttons { padding-top:3px; }
.postdetails { color:#444; font-size:13px; text-align:left; }
.postdetails b { color:#444; }
.posterrank     { font-size:13px; color:#444; }
.posterprofile  { font-size:13px; color:#586E85; }

.postauthor { color:#586E85; font-size:13px; margin-bottom:3px; font-weight:bold; }
.postonline { margin-bottom:2px; }

.postreported, .postreported a:link, .postreported a:visited, .postreported a:hover, .postreported a:active { margin:1px 0px; color:#2fa0fd; font-weight:bold; }

.postapprove, .postapprove a:link, .postapprove a:visited, .postapprove a:hover, .postapprove a:active { color:#2fa0fd; font-weight:bold; }

.postapprove img, .postreported img { vertical-align:bottom; padding-top:5px; }

.postbody { font:16px/1.6 'Noto Serif TC', 'Noto Sans TC', 'Microsoft JhengHei', 'Segoe UI', 'Helvetica Neue', Arial, sans-serif; color:#000; word-wrap:break-word; word-break:break-all; }

.postbody img, .attachbox img, attachment img { max-width:100%; }

.attachbox img, .attachment img { border:solid 1px #aaa; padding:3px; border-radius:3px; }

.attachbox, .attachment { padding:20px 0; }

dl.attachbox { margin-bottom:0; }

dl.attachbox dd div { padding:5px 0; }

.signature { font-size:13px; color:#666; margin-top:5px; }
.signature .line { color:#B8B9BB; }

.postbody li, ol, ul { margin:0 0 0 1.5em; }

.rtl .postbody li, .rtl ol, .rtl ul { margin:0 1.5em 0 0; }

.posthilit { background-color:#B8BABC; color:#000; }

.postbody a { text-decoration:underline; }

/* UCP */
.folder-current a, .folder-current a:visited { color:#2fa0fd; font-weight:bold; }
.folder-current a:hover { color:#2fa0fd; }

td.pm_marked_colour { background:#2fa0fd; }
td.pm_marked_colour_left { border-left:solid 3px #2fa0fd; padding-left:2px; }
td.pm_marked_colour_right { border-right:solid 3px #2fa0fd; padding-right:2px; }

td.pm_replied_colour { background:#586E85; }
td.pm_replied_colour_left { border-left:solid 3px #586E85; padding-left:2px; }
td.pm_replied_colour_right { border-right:solid 3px #586E85; padding-right:2px; }

td.pm_friend_colour { background:#007700; }
td.pm_friend_colour_left { border-left:solid 3px #007700; padding-left:2px; }
td.pm_friend_colour_right { border-right:solid 3px #007700; padding-right:2px; }

td.pm_foe_colour { background:#DD3B00; }
td.pm_foe_colour_left { border-left:solid 3px #DD3B00; padding-left:2px; }
td.pm_foe_colour_right { border-right:solid 3px #DD3B00; padding-right:2px; }


/* Form Elements------------ */
form { margin:0px; padding:0px; border:0px; }

textarea, select, .post, .btnbbcode, .btnfile { font-size:16px; font-weight:normal; font-family:"Lucida Grande", Verdana, 'Noto Serif TC', 'Noto Sans TC', 'Microsoft JhengHei', sans-serif; color:#222; border:1px solid #addafe; border-radius:2px; background:#fff; }
.cat .btnmain, .cat .btnlite, .cat select { color:#444; background-color:#f3f9fc; border-color:#a5d6fe; }

.btnmain, .btnlite, .helpline { font-size:1em; font-weight:bold; color:#fff; border:1px solid #042c88; background:#0747dc; }


.cat .btnmain, .cat .btnlite, .cat select { color:#444; background-color:#F7F8F9; border-color:#addafe; }

input { font-size:13px; padding:1px; }
textarea { font-size:16px; line-height:1.4em; padding:2px; }
select { font-size:13px; padding:1px; }

option { padding:0 1em 0 0; }

.rtl option { padding:0 0 0 1em; }

.post { border-style:solid; border-width:1px; }

.btnbbcode { font-size:13px; color:#586E85; border:1px solid #a5d6fe; background-color:#f3f9fc; }
.btnbbcode:hover { border-color:#0b8ffd; background-color:#badffe; color:#000; }

.btnmain { font-weight:bold; cursor:pointer; padding:1px 5px; font-size:1em; }

.btnlite { font-weight:normal; cursor:pointer; padding:1px 5px; font-size:1em; }

.btnfile { font-weight:normal; padding:1px 5px; font-size:13px; }

.helpline { background-color:transparent; color:#8B9BAC; border-style:none; }
#helpline { color:#8B9BAC; }

input:focus, select:focus, textarea:focus { outline-style:none; }

* html textarea, * html select, * html .post, * html .btnmain, * html .btnlite, * html .btnfile { }
* html .cat .btnmain, * html .cat .btnlite { }
textarea:hover, select:hover, .post:hover, .btnmain:hover, .btnlite:hover, .btnfile:hover { border-color:#78c1fe; }
textarea:focus, select:focus, .post:focus, .btnmain:focus, .btnlite:focus, .btnfile:focus { border-color:#2fa0fd; box-shadow:1px 1px 1px #7ac2fe; color:#000; background:#fff; }
.cat .btnmain:hover, .cat .btnlite:hover, .cat select:hover { border-color:#2fa0fd; }
.cat .btnmain:focus, .cat .btnlite:focus, .cat select:focus { border-color:#798C9E; color:#000; }

label:hover { color:#2fa0fd; }

textarea.posting-textarea, #ie8#fix { width:100%; height:300px; max-width:100%; }

/* BBCode------------ */
.bb-wrapper { clear:both; margin:10px 20px; }
.bb-wrapper .bb-wrapper { margin:5px 10px; }
.bb-left-top, .bb-right-top, .bb-left-bot, .bb-right-bot { width:4px; height:4px; overflow:hidden; padding:0; }
.bb-left-top { background:url(images/bb_left_top.gif) top left no-repeat; }
.bb-right-top { background:url(images/bb_right_top.gif) top right no-repeat; }
.bb-left-bot { background:url(images/bb_left_bot.gif) bottom left no-repeat; }
.bb-right-bot { background:url(images/bb_right_bot.gif) bottom right no-repeat; }
.bb-top, .bb-bot { height:4px; overflow:hidden; padding:0; }
.bb-top { background:#f3f9fc url(images/bb_top.gif) top left repeat-x; }
.bb-bot { background:#f3f9fc url(images/bb_bot.gif) bottom left repeat-x; }
.bb-left, .bb-right { width:4px; overflow:hidden; background-color:#f3f9fc; padding:0; }
.bb-left { border-left:solid 1px #D5D9DE; }
.bb-right { border-right:solid 1px #D5D9DE; }
.bb-content { background-color:#f3f9fc; padding:0 2px; }
.bb-quote { background-image:url(images/bg_quote.gif); background-repeat:no-repeat; background-position:top right; }
.bb-code { background-image:url(images/bg_code.gif); background-repeat:no-repeat; background-position:top right; }
.bb-attach { background-image:url(images/bg_attach.gif); background-repeat:no-repeat; background-position:top right; }


.quotetitle, .attachtitle, .codetitle { color:#586E85; font-size:13px; font-weight:bold; padding-bottom:3px; }
.quotetitle .quotetitle { font-size:1em; }

.quotecontent, .attachcontent { font-weight:normal; font-size:1em; line-height:1.4em; color:#444; }
.attachcontent { font-size:1em; }

.codecontent { direction:ltr; font-weight:normal; font-size:13px; font-family:Monaco, 'Courier New', monospace; color:#444; }

.attachcontent, .codecontent { overflow:auto; overflow-x:auto; }

.syntaxbg { color:#F2F2F3; }

.syntaxcomment { color:#586E85; }

.syntaxdefault { color:#444; }

.syntaxhtml { color:#6D7073; }

.syntaxkeyword { color:#555D65; }

.syntaxstring { color:#6A6D71; }


/* More misc stuff */
h1 { font-family:"Lucida Grande", "Trebuchet MS", Verdana, sans-serif; font-weight:bold; font-size:1.8em; text-decoration:none; }

h2 { font-family:Arial, Helvetica, sans-serif; font-weight:bold; font-size:1.5em; text-decoration:none; line-height:120%; }

h3 { font-size:16px; font-weight:bold; font-family:Arial, Helvetica, sans-serif; line-height:120%; }

h4 { margin:0px; font-size:13px; font-weight:bold; }

p { font-size:0.95em; }

p.moderators { margin:0px; float:left; color:#586E85; font-weight:bold; }

.rtl p.moderators { float:right; }

p.linkmcp { margin:0px; float:right; white-space:nowrap; }

.rtl p.linkmcp { float:left; }

p.searchbar { padding:2px 0; white-space:nowrap; }

p.searchbarreg { margin:0px; float:right; white-space:nowrap; }

.rtl p.searchbarreg { float:left; }

p.forumdesc { padding-bottom:4px; }

p.topicauthor { margin:1px 0px; }

p.topicdetails { margin:1px 0px; }
td.history-current, tr.row1 td.history-current, tr.row2 td.history-current { background:#f3f9fc; }

table.colortable td { padding:0; }

pre { font-size:13px; font-family:Monaco, 'Courier New', monospace; }

.nowrap { white-space:nowrap; }

.username-coloured { font-weight:bold; }

.sep { color:#586E85; }


/* reset style for file input */
#pagecontent .row, #pagecontent .myrow { margin-bottom:10px; }

.btnfile, .btnfile:hover, .btnfile:focus { background-color:#FFF; color:#000; }

.p16 { font-size:16px; letter-spacing:1px; line-height:120% }
.p15 { font-size:15px; letter-spacing:1px; line-height:120% }
.p14 { font-size:14px; letter-spacing:1px; line-height:120% }
.p13 { font-size:13px; letter-spacing:1px; line-height:120% }

ul.topics li { padding:15px 0; line-height:1.5em }

.topiclist { padding:10px 0; margin:0; }

.announcements-box { color:#d55c2f; }

.topiclist dl { margin:0 10px; }
.topiclist dt { margin-left:25px; padding-bottom:5px; }
.topiclist dd { margin-left:25px; padding-top:5px; font-size:13px; }
.topiclist dd .row { padding-top:5px; }

.topiclist .bg1 { background:#f6f6f6; border-bottom:solid 1px #eee; }
.topiclist .bg2 { background:#fff; border-bottom:solid 1px #eee; }

 a.topictitle { font:bold 17px/1.3 'Microsoft JhengHei', 'Segoe UI', 'Helvetica Neue', Arial, sans-serif; }

.announce a.topictitle { color:#bb115e; font:bold 17px/1.3 'Noto Serif TC', 'Noto Sans TC', 'Microsoft JhengHei', 'Segoe UI', 'Helvetica Neue', Arial, sans-serif; }

.pagination-topics {  }

.text-red { color:#e00; }

dl.postprofile { border-bottom:solid 1px #eee; overflow:hidden; padding-bottom:5px; margin-bottom:5px; }

dl.postprofile dt, dl.postprofile dd { display:inline-block; float:left; }

dl.postprofile dt.avatar-block { width:10%; min-width:50px; margin-right:10px; text-align:center; }

dl.postprofile dd { margin-right:20px; }

dl.postprofile dt img { max-width:100%; }

.postprofile-data { font-size:0.85em; }

.kg-list { font-size:0.85em; }

.profile-icons li { display:inline-block; border:solid 1px #ccc; padding:2px; margin:2px; font-size:15px; background:#fff; border-radius:3px; }

.profile-icons i { }


